Subject: bug#261: [Fwd: [Devuan-bugs] bug#261 eudev: System with encrypted root fs and swap fails to shutdown cleanly]

From: Svante Signell <[email-masked]>
Date: Fri, 31 Jan 2020 12:08:02 +0100

On Thu, 2020-01-30 at 18:12 -0800, Tom wrote:
> 
> Ok, so I built and installed eudev from Ceres on ASCII, version
> 3.2.9-4
> of eudev and libeudev1. I rebooted 3 times for good measure. This did
> NOT solve the failing to unmount cryptdisks issue.

Thank you for trying. Next steps would be to check if any version of
eudev/udev solves this issue. I suspect that this bug is only related
to cryptsetup. Did you have any version of udev/eudev working properly?

If you can please do the following:
1) Downgrade to 3.2.7-6 from Beowulf and check if it works.
2) If not, try udev from Debian/Stretch (corresponds to Devuan/ASCII).
Either 232-25+deb9u12 from stretch or 241-5~bpo9+1 from stretch
backports. You can find source/binaries from snapshot.debian.org.
3) Optionally try some newer Debian version, e.g. 241-7~deb10u2 from
buster or 244-3~bpo10+1 from buster-backports.

If neither of the above works, which I suspect, the problem is not due
to udev/eudev. It is due to the cryptsetup package(s), and should be
reassigned to it.

Then you can try out the workarounds mentioned in #237 and
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=791944

You also have this bug that was tagged as wontfix.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720340

Thanks!